BIA Bugs - Bug #2614

[HR-Payroll] perhitungan pajak TER dimana perhitungan nya 20% lebih besar (120%) jika NPWP
kosong atau NULL tidak punya pada payroll basic data.

02/26/2024 06:14 PM - Muhammad Bintar

Status: QA Test Start date: 02/26/2024
Priority: High Due date: 03/01/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perhitungan pajak TER dimana perhitungan nya 20% lebih besar (120%) jika NPWP
kosong atau NULL tidak punya pada payroll basic data.
itu berlaku untuk perhitungan pajak tiap bulan nya pada saat running payroll.
History

#1 - 02/27/2024 06:21 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 02/28/2024 02:08 PM - Tri Rizqiaty

- File MinovalS.MinovaES.Business.PY.dll added
- File PY Tdk Ada NPWP.xIsx added

- File clipboard-202402281408-uegb2.png added

- Status changed from Assigned to Developing

Fixing :

1. Update folder API12\bin : MinovalS.MinovaES.Business.PY.dll
2. Update table PCMEPGENPARAM sesuai dengan excel & file terlampir

SQLQuery2.sql - 45...5 BIA Dev (sa (72))" & > KU gtyilopill s e Tl o Ly WIN-PHETIO259)H....dbo.PHRPYPGCTRL S0LQuery1.sql - 45....aES_RSGP (sa (102))* 50LQuery1.sql - not connected
SELECT * FROM dbo.PCMEPGENPARAM WHERE Parameter = 'PYPAJAK2@24 TIDAKADANPWP'

100 % -

BB Resuts [ Messages
EndDate Parameter Sequence Module Operstorl Valuel Operator? Value? Notes CresteBy CreateDate ChangeBy ChangeDate
99551231 PYPAJAKZ024_TIDAKADANPWP 1 PY = 1 = 20 1 = bracket pajak ter ditambah 20% tiap bulan ji...  minovais  20170207181838 minovais ~ 20170207181838

Notes : jangan lupa diback up
#3 - 02/28/2024 02:08 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

#4 - 02/28/2024 02:20 PM - Tri Rizqiaty

Tolong ditest di port BIA Dev 66 ya, bim di implement ke Prod 66.

Di port sini ya http:/hris-bia-dev.minovais.com:11137/

#5 - 03/06/2024 04:02 PM - Muhammad Bintar
- Status changed from QA Test to Developing

Dear Yoma.. untuk Pajak 20% lebih besar setelah dites sudah sesuai.. akan tetapi bisa dibuatkan 1 kondisi, jika penghasilan Bruto karyawan bim

masuk perhitungan pajak TER maka penghasilannya jika yg bersangkutan tidak punya NPWP tidak perlu dihitung pajak lebih besar 20%

#6 - 03/06/2024 04:03 PM - Muhammad Bintar

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

Dear Yoma.. untuk Pajak 20% lebih besar setelah dites sudah sesuai.. akan tetapi bisa dibuatkan 1 kondisi, jika penghasilan Bruto karyawan bim

masuk perhitungan pajak TER maka penghasilannya jika yg bersangkutan tidak punya NPWP tidak perlu dihitung pajak lebih besar 20%

#7 - 03/06/2024 04:17 PM - Tri Rizqiaty
- File MinovalS.MinovaES.Business.PY.dll added
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Muhammad Bintar

Fixing :

Update folder API2\bin : MinovalS.MinovaES.Business.PY.dll

Files

MinovalS.MinovaES.Business.PY.dll
PY Tdk Ada NPWP.xIsx
